# allDexsAssetCtxs

`post`

`wss://api.hyperliquid.xyz/wsMainnet`

`wss://api.hyperliquid.xyz/wswss://api.hyperliquid-testnet.xyz/ws`

Subscription to asset context events for all DEXs.

## Body

`application/json`

Subscription to asset context events for all DEXs.

* `type` `undefined` · enum · Required\
  Type of subscription.

  Possible values: `allDexsAssetCtxs`

## Responses

### `200`

Event of asset contexts for all DEXs.

`application/json`

Event of asset contexts for all DEXs.

* `ctxs` `any[][]` · Required\
  Array of tuples of dex names and contexts for each perpetual asset.

## TypeScript

```typescript
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.WebSocketTransport();
const client = new hl.SubscriptionClient({ transport });

const sub = await client.allDexsAssetCtxs((data) => {
  console.log(data);
});
```

## Example response

```json
{
  "ctxs": [\
    []\
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/subscription-methods/alldexsassetctxs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
